searchNodes=[{"doc":"Use this module in any module that uses Ecto.Repo to enrich it with cursor_based_stream/2 function. Example: defmodule MyRepo do use Ecto.Repo use EctoCursorBasedStream end MyUser |&gt; MyRepo . cursor_based_stream ( chunk_size : 100 ) |&gt; Stream . each ( ... ) |&gt; Stream . run ( )","ref":"EctoCursorBasedStream.html","title":"EctoCursorBasedStream","type":"behaviour"},{"doc":"Return a lazy enumerable that emits all entries from the data store matching the given query. In contrast to Ecto.Repo.stream/2 , this will not use database mechanisms (e.g. database transactions) to stream the rows. It does so by sorting all the rows by options[:cursor_field] and iterating over them in chunks of size options[:max_rows] . Options :cursor_field - the field by which all rows should be iterated. This field must have unique values. (Otherwise, some rows may get skipped.) For performance reasons, we recommend that you have an index on that field. Defaults to :id . :after_cursor - the value of the :cursor_field must be greater than it. Useful when you want to continue streaming from a certain point. Any rows with value equal or smaller than this value will not be included. Defaults to nil . (All rows will be included.) :max_rows - The number of rows to load from the database as we stream. Defaults to 500. Example MyUser |&gt; MyRepo . cursor_based_stream ( chunk_size : 100 ) |&gt; Stream . each ( ... ) |&gt; Stream . run ( )","ref":"EctoCursorBasedStream.html#c:cursor_based_stream/2","title":"EctoCursorBasedStream.cursor_based_stream/2","type":"callback"},{"doc":"","ref":"EctoCursorBasedStream.html#t:cursor_based_stream_opts/0","title":"EctoCursorBasedStream.cursor_based_stream_opts/0","type":"type"},{"doc":"Cursor-based streaming of Ecto records, that does not require database transaction. Gives you a cursor_based_stream/2 function that mimics Ecto.Repo.stream/2 interface. Advantages in comparison to the standard Ecto.Repo.stream/2 : streaming can be stopped and continued at any point (by passing opts[:cursor] ), works with tables that have milions of records. Only limitation is that you have to supply a cursor column (by passing opts[:cursor_column] , defaults to :id ). Such a column: must have unique values, should have a database index. (So that sorting by it, and returning a number of rows larger than x is a performant operation.)","ref":"readme.html","title":"EctoCursorBasedStream","type":"extras"},{"doc":"Add ecto_cursor_based_stream to your list of dependencies in mix.exs : def deps do [ { :ecto_cursor_based_stream , &quot;~&gt; 0.1.0&quot; } ] end Add use EctoCursorBasedStream to the module that uses Ecto.Repo : defmodule MyRepo do use Ecto.Repo use EctoCursorBasedStream end Stream the rows using cursor_based_stream/2 : Post |&gt; MyRepo . cursor_based_stream ( chunk_size : 100 ) |&gt; Stream . each ( ... ) |&gt; Stream . run ( )","ref":"readme.html#usage","title":"EctoCursorBasedStream - Usage","type":"extras"},{"doc":"Documentation Examples","ref":"readme.html#useful-links","title":"EctoCursorBasedStream - Useful links","type":"extras"},{"doc":"Running tests Run the following after cloning the repo: mix deps.get docker-compose up -d mix test","ref":"readme.html#contributing","title":"EctoCursorBasedStream - Contributing","type":"extras"}]